<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'busquery',

    /*
     * Modules.
     */
    'modules'   => ['busqueries'],

    
    'busqueries'       => [
        'model' => [
            'model'                 => \Litecms\Busquery\Models\Busqueries::class,
            'table'                 => 'busqueries',
            'presenter'             => \Litecms\Busquery\Repositories\Presenter\BusqueriesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['first_name',  'last_name',  'email'],
            'translatables'         => [],
            'upload_folder'         => 'busquery/busqueries',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Busquery',
            'module'    => 'Busqueries',
        ],

    ],
];
