<?php

namespace Litecms\Busquery\Repositories\Eloquent;

use Litecms\Busquery\Interfaces\BusqueriesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class BusqueriesRepository extends BaseRepository implements BusqueriesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.busquery.busqueries.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.busquery.busqueries.model.model');
    }
}
